#
# TRACKER INITIAL PRIORITY AND STATUS VALUES
#
pri = db.getclass('priority')
pri.create(name=''"critical", order="1")
pri.create(name=''"urgent", order="2")
pri.create(name=''"bug", order="3")
pri.create(name=''"feature", order="4")
pri.create(name=''"wish", order="5")

stat = db.getclass('status')
stat.create(name=''"unread", ord=1)
stat.create(name=''"deferred", ord=2)
stat.create(name=''"chatting", ord=3)
stat.create(name=''"need-eg", ord=4)
stat.create(name=''"in-progress", ord=15)
stat.create(name=''"testing", ord=6)
stat.create(name=''"done-cbb", ord=7)
stat.create(name=''"resolved", ord=8)

# create the two default users
user = db.getclass('user')
user.create(username="admin", password=adminpw,
    address=admin_email, roles='Admin')
user.create(username="anonymous", roles='Anonymous')

# add any additional database creation steps here - but only if you
# haven't initialised the database with the admin "initialise" command
issue=db.getclass('issue')
# title is (id of status)-(id of this issue)
issue.create(title="2-1", status="deferred", priority="1")
issue.create(title="5-2", status="in-progress", priority="1")
issue.create(title="3-3", status="chatting", priority="1")
issue.create(title="4-4", status="need-eg", priority="1")
issue.create(title="1-5", status="unread", priority="1")
issue.create(title="6-6", status="testing", priority="1")
issue.create(title="8-7", status="resolved", priority="1")
issue.create(title="7-8", status="done-cbb", priority="1")
noneid = issue.create(title="X-9", status="", priority="1")
issue.create(title="superceder", status="need-eg", priority="1",
             superseder=["1","2","3","4","5","6","7","8", "9"])

# auditor sets status to unset on create. Set it to None explicitly.
issue.set(noneid, status=None)

# vim: set filetype=python sts=4 sw=4 et si
#SHA: f52a98b31599aa459a82a7852175660cf9cdcd6b
